---
title: "Count the number of custom pages"
description: "Query the number of custom pages"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/online-store/page/count-the-number-of-custom-pages'
  md: 'https://developer.shopline.com/docs/admin-rest-api/online-store/page/count-the-number-of-custom-pages.md'
---
# Count the number of custom pages

Query the number of custom pages

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_page`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /store/page/customize/count.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_page`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `req`

  object

  Request parameters

  * `created_at_min`

    string

    Show pages created after this date , format yyyy-MM-dd HH : mm : ss

  * `published_at_max`

    string

    Show pages posted before this date

  * `published_at_min`

    string

    Show pages posted after this date

  * `published_status`

    string

    Posting , optional value or not : any ( all ) ; published ( released ) ; unpublished ( not released )

  * `title`

    string

    Title of custom page

  * `updated_at_max`

    string

    Show pages updated before this date , format yyyy-MM-dd HH : mm : ss

  * `updated_at_min`

    string

    Show updated pages after this date , format yyyy-MM-dd HH : mm : ss

  * `created_at_max`

    string

    Show pages created before this date , format yyyy-MM-dd HH : mm : ss

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `data`

  object

  data

  * `count`

    long

    Number of filter conditions

* `msg`

  string

  Error message


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Query the number of custom pages",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_page` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "0hv47Rev",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "req": {
              "name": "req",
              "description": "Request parameters",
              "type": "object",
              "properties": {
                "created_at_min": {
                  "name": "created_at_min",
                  "description": "Show pages created after this date , format yyyy-MM-dd HH : mm : ss",
                  "type": "string",
                  "example": "2022-12-27 17:17:02"
                },
                "published_at_max": {
                  "name": "published_at_max",
                  "description": "Show pages posted before this date",
                  "type": "string",
                  "example": "2022-12-27 17:17:02"
                },
                "published_at_min": {
                  "name": "published_at_min",
                  "description": "Show pages posted after this date",
                  "type": "string",
                  "example": "2022-12-27 17:17:02"
                },
                "published_status": {
                  "name": "published_status",
                  "description": "Posting , optional value or not : any ( all ) ; published ( released ) ; unpublished ( not released )",
                  "type": "string",
                  "example": "any"
                },
                "title": {
                  "name": "title",
                  "description": "Title of custom page",
                  "type": "string",
                  "example": "demo-page"
                },
                "updated_at_max": {
                  "name": "updated_at_max",
                  "description": "Show pages updated before this date , format yyyy-MM-dd HH : mm : ss",
                  "type": "string",
                  "example": "2022-12-27 17:17:02"
                },
                "updated_at_min": {
                  "name": "updated_at_min",
                  "description": "Show updated pages after this date , format yyyy-MM-dd HH : mm : ss",
                  "type": "string",
                  "example": "2022-12-27 17:17:02"
                },
                "created_at_max": {
                  "name": "created_at_max",
                  "description": "Show pages created before this date , format yyyy-MM-dd HH : mm : ss",
                  "type": "string",
                  "example": "2022-12-27 17:17:02"
                }
              },
              "example": {
                "created_at_min": "2022-12-27 17:17:02",
                "published_at_max": "2022-12-27 17:17:02",
                "published_at_min": "2022-12-27 17:17:02",
                "published_status": "any",
                "title": "demo-page",
                "updated_at_max": "2022-12-27 17:17:02",
                "updated_at_min": "2022-12-27 17:17:02",
                "created_at_max": "2022-12-27 17:17:02"
              }
            }
          },
          "example": {
            "req": {
              "published_at_min": "2022-12-27 17:17:02",
              "published_status": "any",
              "title": "demo-page",
              "updated_at_max": "2022-12-27 17:17:02",
              "updated_at_min": "2022-12-27 17:17:02",
              "created_at_max": "2022-12-27 17:17:02",
              "created_at_min": "2022-12-27 17:17:02",
              "published_at_max": "2022-12-27 17:17:02"
            }
          }
        },
        "examples": {
          "Specify create time range": {
            "value": {
              "req": {
                "created_at_max": "2023-09-11 15:10:23.312",
                "created_at_min": "2022-08-26 14:29:55.000"
              }
            }
          },
          "Specify launch status": {
            "value": {
              "req": {
                "published_status": "any"
              }
            }
          },
          "Specify launch time range": {
            "value": {
              "req": {
                "published_at_max": "2023-09-11 15:10:23.312",
                "published_at_min": "2022-08-26 14:29:55.000"
              }
            }
          },
          "Specify title": {
            "value": {
              "req": {
                "title": "MY CUSTOM PAGE"
              }
            }
          },
          "Specify update time range": {
            "value": {
              "req": {
                "updated_at_max": "2023-09-11 15:10:23.312",
                "updated_at_min": "2022-08-26 14:29:55.000"
              }
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "data": {
                "name": "data",
                "description": "data",
                "type": "object",
                "properties": {
                  "count": {
                    "name": "count",
                    "description": "Number of filter conditions",
                    "type": "long",
                    "example": 100
                  }
                },
                "example": {
                  "count": 100
                }
              },
              "msg": {
                "name": "msg",
                "description": "Error message",
                "type": "string",
                "example": ""
              }
            },
            "example": {
              "msg": "",
              "data": {
                "count": 100
              }
            }
          },
          "examples": {
            "Specify update time range": {
              "value": {
                "data": {
                  "count": 2
                },
                "msg": "success"
              }
            },
            "Specify create time range": {
              "value": {
                "data": {
                  "count": 2
                },
                "msg": "success"
              }
            },
            "Specify launch status": {
              "value": {
                "data": {
                  "count": 4
                },
                "msg": "success"
              }
            },
            "Specify launch time range": {
              "value": {
                "data": {
                  "count": 1
                },
                "msg": "success"
              }
            },
            "Specify title": {
              "value": {
                "data": {
                  "count": 3
                },
                "msg": "success"
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/store/page/customize/count.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Count the number of custom pages",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_page"
  ]
}
```